Bug 1437146 - Policy conditions based on 'VM and Instance.vLANs' field not working
Summary: Policy conditions based on 'VM and Instance.vLANs' field not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:policy:condition
Depends On: 1434553
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-29 15:51 UTC by Satoe Imaishi
Modified: 2020-07-16 09:21 UTC (History)
4 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434553
Environment:
Last Closed: 2017-06-28 14:59:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-13 22:21:19 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/da648fa8bf7a3c955809daad0bd657aa43207342

commit da648fa8bf7a3c955809daad0bd657aa43207342
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Mar 28 10:04:50 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:17:29 2017 -0400

    Merge pull request #14477 from lfu/cond_virtual_reflection_1434553
    
    Fix an issue in Condition where fields of virtual associations can't be evaluated.
    (cherry picked from commit 9a9841b0645ebb515935186a96cba291cb6b5ec3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437146

 lib/extensions/ar_taggable.rb           | 2 +-
 spec/lib/extensions/ar_taggable_spec.rb | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 3 Dmitry Misharov 2017-06-09 09:27:47 UTC
Verified in 5.7.3.1.20170608124102_4b35a9e. "VM and Instance.vLANs.name" and "VM and Instance.vLANs.uid_ems" criterias work as expected.

Comment 5 errata-xmlrpc 2017-06-28 14:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.